/*huellas 7/iii/96*/
/*Fernando Galindo Soria*/

#include <math.h>
#include <dos.h>
#include <conio.h>
#include <stdlib.h>

void inicia(int);

int i,j;
char far *apun= (char far *) 0xA0000000;

void main()
{ int k,inc=1;
  inicia(0x13);

   while(!kbhit())
     {for (k=0;k<128;k++)
	*(apun+inc*320+k)=k*inc;inc++;}

  getch();
  textmode(C80);
}

void inicia(modo)
{
 union REGS reg;
 reg.h.ah=0;
 reg.h.al=modo;
 int86(0x10,&reg,&reg);
}
